> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir SIP Trunk

> Excluir permanentemente um SIP Trunk

# Excluir SIP Trunk

Exclui permanentemente um SIP Trunk. O trunk não pode ter chamadas ativas nem DIDs associados — exclua os DIDs primeiro via [Excluir DID do SIP Trunk](/api-reference/endpoints/delete-sip-trunk-did).

## Endpoint

```
DELETE /api/v1/sip-trunks/{trunk_id}
```

## Parâmetros de caminho

<ParamField path="trunk_id" type="string" required>UUID do SIP Trunk.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer para autenticação. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl -X DELETE "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Resposta

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "SIP trunk deleted"
  }
  ```
</ResponseExample>

## Respostas de erro

### 409 — Trunk Possui DIDs

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "message": "Trunk still has DIDs attached. Delete DIDs before deleting the trunk.",
    "code": "TRUNK_HAS_DIDS"
  }
  ```
</ResponseExample>
